﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Data> data = new List<Data>();
            data.Add(new Data() { Country = "USA", Cities = new List<City>() { new City("NY",111), new City("LA",13146), new City("DC",46464) } });
            data.Add(new Data() { Country = "England", Cities = new List<City>() { new City("London",424), new City("Liverpool",134) } });
            data.Add(new Data() { Country = "Bulgaria", Cities = new List<City>() { new City("Sofia",1354), new City("Varna",44486) } });

            this.DataContext = data;
        }
    }

    public class City
    {
        public City (string Name, int Population)
        {
            this.Name = Name;
            this.Population = Population;
        }
        public string Name { get; set; }
        public int Population { get; set; }
    }

    public class Data
    {
        public string Country { get; set; }
        public List<City> Cities { get; set; }
        private City _selectedCity;
        public City SelectedCity
        {
            get
            {
                if (_selectedCity == null)
                {
                    if (Cities != null && Cities.Any())
                    {
                        _selectedCity = Cities.Last();
                    }
                }
                return _selectedCity;
            }
            set
            {
                _selectedCity = value;
            }
        }

    }
}
